ModelSell Docs
ImagesMidjourney

Midjourney 查询任务

GET
/mj/task/{task_id}/fetch

根据 Midjourney 任务 ID 查询单个任务详情,包括状态、进度、图片 URL、视频 URL、按钮和扩展属性。

Authorization

bearerAuth
AuthorizationBearer <token>

使用 Authorization Bearer API Key 进行鉴权。

In: header

Path Parameters

task_id*string

Midjourney 任务 ID。

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/mj/task/1751700106922083/fetch"
{
  "id": "1751700106922083",
  "action": "IMAGINE",
  "customId": "string",
  "botType": "MID_JOURNEY",
  "prompt": "string",
  "promptEn": "string",
  "description": "string",
  "state": "string",
  "submitTime": 0,
  "startTime": 0,
  "finishTime": 0,
  "imageUrl": "http://example.com",
  "videoUrl": "http://example.com",
  "videoUrls": [
    {
      "url": "http://example.com"
    }
  ],
  "status": "SUCCESS",
  "progress": "100%",
  "failReason": "string",
  "buttons": [
    {}
  ],
  "maskBase64": "string",
  "properties": {}
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}